Botan 2.19.5 Crypto and TLS for C&

Classes | Namespaces | Enumerations
ocsp.h File Reference
`#include <botan/asn1_obj.h>`
`#include <botan/pkix_types.h>`
`#include <botan/x509cert.h>`
`#include <botan/bigint.h>`
`#include <chrono>`

Go to the source code of this file.

## Classes
class | Botan::OCSP::CertID
class | Botan::OCSP::Request
class | Botan::OCSP::Response
class | Botan::OCSP::SingleResponse

## Namespaces
namespace | Botan
namespace | Botan::OCSP

## Enumerations
enum class | Botan::OCSP::Response_Status_Code { Botan::OCSP::Successful = 0 , Botan::OCSP::Malformed_Request = 1 , Botan::OCSP::Internal_Error = 2 , Botan::OCSP::Try_Later = 3 , Botan::OCSP::Sig_Required = 5 , Botan::OCSP::Unauthorized = 6 }